Bug 179068 - Rebuilds required due to new hdf5 library
Rebuilds required due to new hdf5 library
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-01-26 17:20 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-26 17:47:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-01-26 17:20:46 EST
Quentin - 

  Please do rebuilds of octave on FE4 and development due to an upgraded hdf5
library I released.  I can do it if you're busy.
Comment 1 Quentin Spencer 2006-01-26 17:47:07 EST
OK, done.

I didn't realize there was an incompatibility because yum and rpm never
complained, until I tried opening octave and saving something in hdf5 format,
which resulted in a core dump. Shouldn't the change in API have triggered a new
shared library name?
Comment 2 Orion Poplawski 2006-01-26 17:51:34 EST
I didn't either until one of our users had problems.

Shared library versions is totally in the hands of the developers, and most
don't use them properly.  Such is life.


Note You need to log in before you can comment on or make changes to this bug.